#!/usr/bin/sh
#
# Place applications to be executed when WindowMaker is started here.
# This should only be used for non-X applications or applications that
# do not support session management. Other applications should be restarted
# by the WindowMaker session restoring mechanism. For that, you should
# either set SaveSessionOnExit=YES or select "Save Session" in the Workspace
# submenu of the root menu when all applications you want started are
# running.
#
# WindowMaker will wait until this script finishes, so if you run any
# commands that take long to execute (like a xterm), put a ``&'' in the
# end of the command line.
#
# This file must be executable.
#

# (kamil) 0.95-3-snapshot20120330-2 /usr/lib64/polkit-gnome-authentication-agent-1
if ps ax | grep -v grep | grep "polkit-gnome-authentication-agent-1" > /dev/null
then
    echo "polkit-gnome-authentication-agent-1 is running"
else
    if [ -f /usr/lib/polkit-gnome-authentication-agent-1  ]
    then
       /usr/lib/polkit-gnome-authentication-agent-1 &
    elif [ -f /usr/lib64/polkit-gnome-authentication-agent-1  ]
    then
       /usr/lib64/polkit-gnome-authentication-agent-1 &
    else
       echo "polkit-gnome-authentication-agent-1 not found"
    fi
fi

# (kamil) 0.95.3-pre20120223-1, Network Manager Applet - run only once
if ps ax | grep -v grep | grep "nm-applet" > /dev/null
then
    echo "nm-applet is running"
else
    nm-applet &
fi

# (kamil) 0.95.3-pre20120223-2, GVolWheel - run only once
if ps ax | grep -v grep | grep "gvolwheel" > /dev/null
then
    echo "GVolWheel is running"
else
    padsp gvolwheel &
fi

# (kamil) 0.95.3-pre20120223-2, mgaapplet - run only once
if ps ax | grep -v grep | grep "mgaapplet" > /dev/null
then
    echo "MgaApplet is running"
else
    mgaapplet &
fi
